## GstVaapiProfile

GstVaapiProfile — VA profile abstraction

## Functions

GstVaapiProfile | gst_vaapi_profile ()
GstVaapiProfile | gst_vaapi_profile_from_caps ()
VAProfile | gst_vaapi_profile_get_va_profile ()
GstCaps * | gst_vaapi_profile_get_caps ()
GstVaapiCodec | gst_vaapi_profile_get_codec ()
GstVaapiEntrypoint | gst_vaapi_entrypoint ()
VAEntrypoint | gst_vaapi_entrypoint_get_va_entrypoint ()

## Types and Values

enum | GstVaapiCodec
enum | GstVaapiProfile
enum | GstVaapiEntrypoint

## Object Hierarchy

## Description

## Functions

### gst_vaapi_profile ()

    GstVaapiProfile
    gst_vaapi_profile (VAProfile profile);

Converts a VA profile into the corresponding GstVaapiProfile. If the profile cannot be represented by GstVaapiProfile, then zero is returned.

#### Parameters

profile | a VAProfile |

#### Returns

the GstVaapiProfile describing the `profile`

### gst_vaapi_profile_from_caps ()

    GstVaapiProfile
    gst_vaapi_profile_from_caps (const GstCaps *caps);

Converts `caps` into the corresponding GstVaapiProfile. If the profile cannot be represented by GstVaapiProfile, then zero is returned.

#### Parameters

caps | a GstCaps |

#### Returns

the GstVaapiProfile describing the `caps`

### gst_vaapi_profile_get_va_profile ()

    VAProfile
    gst_vaapi_profile_get_va_profile (GstVaapiProfile profile);

Converts a GstVaapiProfile into the corresponding VA profile. If no matching VA profile was found, -1 is returned and this error must be reported to be fixed.

#### Parameters

profile | a GstVaapiProfile |

#### Returns

the VA profile, or -1 if none was found

### gst_vaapi_profile_get_caps ()

    GstCaps *
    gst_vaapi_profile_get_caps (GstVaapiProfile profile);

Converts a GstVaapiProfile into the corresponding GstCaps. If no matching caps were found, `NULL` is returned.

#### Parameters

profile | a GstVaapiProfile |

#### Returns

the newly allocated GstCaps, or `NULL` if none was found

### gst_vaapi_profile_get_codec ()

    GstVaapiCodec
    gst_vaapi_profile_get_codec (GstVaapiProfile profile);

Extracts the GstVaapiCodec from `profile` .

#### Parameters

profile | a GstVaapiProfile |

#### Returns

the GstVaapiCodec from `profile`

### gst_vaapi_entrypoint ()

    GstVaapiEntrypoint
    gst_vaapi_entrypoint (VAEntrypoint entrypoint);

Converts a VA entry-point into the corresponding GstVaapiEntrypoint. If the entry-point cannot be represented by GstVaapiEntrypoint, then zero is returned.

#### Parameters

entrypoint | a VAEntrypoint |

#### Returns

the GstVaapiEntrypoint describing the `entrypoint`

### gst_vaapi_entrypoint_get_va_entrypoint ()

    VAEntrypoint
    gst_vaapi_entrypoint_get_va_entrypoint
                                   (GstVaapiEntrypoint entrypoint);

Converts a GstVaapiEntrypoint into the corresponding VA entry-point. If no matching VA entry-point was found, -1 is returned and this error must be reported to be fixed.

#### Parameters

entrypoint | a GstVaapiEntrypoint |

#### Returns

the VA entry-point, or -1 if none was found

## Types and Values

### enum GstVaapiCodec

The set of all codecs for GstVaapiCodec.

#### Members

GST_VAAPI_CODEC_MPEG1 | MPEG-1 (ISO/IEC 11172) |
GST_VAAPI_CODEC_MPEG2 | MPEG-2 (ISO/IEC 13818-2) |
GST_VAAPI_CODEC_MPEG4 | MPEG-4 Part 2 (ISO/IEC 14496-2) |
GST_VAAPI_CODEC_H263 | H.263 |
GST_VAAPI_CODEC_H264 | H.264 aka MPEG-4 Part 10 (ISO/IEC 14496-10) |
GST_VAAPI_CODEC_WMV3 | Windows Media Video 9. VC-1 Simple or Main profile (SMPTE 421M) |
GST_VAAPI_CODEC_VC1 | VC-1 Advanced profile (SMPTE 421M) |
GST_VAAPI_CODEC_JPEG | JPEG (ITU-T 81) |

### enum GstVaapiProfile

The set of all profiles for GstVaapiProfile.

#### Members

GST_VAAPI_PROFILE_UNKNOWN | Unknown profile, used for initializers |
GST_VAAPI_PROFILE_MPEG1 | MPEG-1 |
GST_VAAPI_PROFILE_MPEG2_SIMPLE | MPEG-2 simple profile |
GST_VAAPI_PROFILE_MPEG2_MAIN | MPEG-2 main profile |
GST_VAAPI_PROFILE_MPEG2_HIGH | MPEG-2 high profile |
GST_VAAPI_PROFILE_MPEG4_SIMPLE | MPEG-4 Part-2 simple profile |
GST_VAAPI_PROFILE_MPEG4_ADVANCED_SIMPLE | MPEG-4 Part-2 advanced simple profile |
GST_VAAPI_PROFILE_MPEG4_MAIN | MPEG-4 Part-2 main profile |
GST_VAAPI_PROFILE_H263_BASELINE | H.263 baseline profile |
GST_VAAPI_PROFILE_H264_BASELINE | H.264 (MPEG-4 Part-10) baseline profile |
GST_VAAPI_PROFILE_H264_MAIN | H.264 (MPEG-4 Part-10) main profile |
GST_VAAPI_PROFILE_H264_HIGH | H.264 (MPEG-4 Part-10) high profile |
GST_VAAPI_PROFILE_VC1_SIMPLE | VC-1 simple profile |
GST_VAAPI_PROFILE_VC1_MAIN | VC-1 main profile |
GST_VAAPI_PROFILE_VC1_ADVANCED | VC-1 advanced profile |
GST_VAAPI_PROFILE_JPEG_BASELINE | JPEG baseline profile |

### enum GstVaapiEntrypoint

The set of all entrypoints for GstVaapiEntrypoint

#### Members

GST_VAAPI_ENTRYPOINT_VLD | Variable Length Decoding |
GST_VAAPI_ENTRYPOINT_IDCT | Inverse Decrete Cosine Transform |
GST_VAAPI_ENTRYPOINT_MOCO | Motion Compensation |
GST_VAAPI_ENTRYPOINT_SLICE_ENCODE | Encode Slice |